%define oname   activesupport

Name:       ruby-%{oname}
Version:    8.0.2
Release:    %mkrel 2
Summary:    A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
License:    MIT
Group:      Development/Ruby
URL:        https://rubyonrails.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A toolkit of support libraries and Ruby core extensions extracted from the
Rails framework. Rich support for multibyte strings, internationalization,
time zones, and testing.

%files
%dir %{gem_instdir}
%license  %{gem_instdir}/MIT-LICENSE
%doc  %{gem_instdir}/CHANGELOG.md
%doc  %{gem_instdir}/README.rdoc
%{gem_instdir}/lib
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 8.0.2-2.mga10
+ Revision: 2249228
- Mageia 10 Mass Rebuild

* Sat Mar 22 2025 pterjan <pterjan> 8.0.2-1.mga10
+ Revision: 2168697
- Update to 8.0.2

* Sun Dec 22 2024 pterjan <pterjan> 8.0.1-1.mga10
+ Revision: 2128826
- Update to 8.0.1

* Fri Dec 06 2024 pterjan <pterjan> 8.0.0-2.mga10
+ Revision: 2122267
- Rebuild to drop rich requires

* Wed Dec 04 2024 pterjan <pterjan> 8.0.0-1.mga10
+ Revision: 2121060
- Update to 8.0.0

* Mon Apr 08 2024 pterjan <pterjan> 7.1.3.2-1.mga10
+ Revision: 2055602
- Update to 7.1.3.2

* Mon Sep 26 2022 pterjan <pterjan> 7.0.4-1.mga9
+ Revision: 1892428
- Update to 7.0.4

* Mon Aug 15 2022 pterjan <pterjan> 7.0.3.1-1.mga9
+ Revision: 1877891
- Update to 7.0.3.1

* Fri May 27 2022 pterjan <pterjan> 7.0.3-1.mga9
+ Revision: 1860514
- Update to 7.0.3

* Thu Feb 25 2016 spuhler <spuhler> 4.2.5.1-1.mga6
+ Revision: 979182
- updated testfile
- upgrade to vers. 4.2.5.1
  * fixes bug # 17693
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 spuhler <spuhler> 4.2.5-1.mga6
+ Revision: 909763
- fixed group
- imported package ruby-activesupport


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618305
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585825
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579503
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2011.0
+ Revision: 438619
- Update to new version 2.3.4

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 402805
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385322
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269230
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214636
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151202
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 17549
- 1.4.2

  + Pascal Terjan <pterjan@mandriva.org>
    - ri is now in ri/ and not ri/ri/
    - Use Development/Ruby group


* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.3.1-1mdv2007.0
- 1.3.1
- install gemspec
- don't try to fix /usr/local path, there is no binary

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-2mdk
- Don't ship too much ri, else we get conflicts
- Use global macros

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-1mdk
- First Mandriva release

